#ifndef EggWidget_H
#define EggWidget_H
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include "navlistwidget.h"
#include <QStyleOption>
#include <QPainter>
#include <QStackedWidget>
class  EggWidget: public QWidget
{
    Q_OBJECT
public:
    EggWidget(QWidget * parent = NULL);
    virtual  ~EggWidget();
    void  init();
    void  initLay();
    bool  initConnect();
signals:
     void SigClicked(QString objName);
private slots:
     void slotClickedChanged();
private:
    //< 返回
    QPushButton m_btnRet;
    //描述
    QLabel      m_labDes;
    NavListWidget m_NavListWidget;
    QStackedWidget m_stackedWidget;

};
#endif // EggWidget_H
